%define upstream_name    Quantum-Superpositions
%define upstream_version 2.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Conjunctive & Disjunctive logic for Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Quantum/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Multimethods)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
The Quantum::Superpositions module adds two new operators to Perl: 'any'
and 'all'.

Each of these operators takes a list of values (states) and superimposes
them into a single scalar value (a superposition), which can then be stored
in a standard scalar variable.

The 'any' and 'all' operators produce two distinct kinds of superposition.
The 'any' operator produces a disjunctive superposition, which may
(notionally) be in any one of its states at any time, according to the
needs of the algorithm that uses it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.30.0-4.mga9
+ Revision: 1810143
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-3.mga8
+ Revision: 1506105
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.30.0-2.mga7
+ Revision: 1285905
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 2.30.0-1.mga7
+ Revision: 1253979
- update to 2.03

* Sun Jun 19 2016 pterjan <pterjan> 2.20.0-7.mga6
+ Revision: 1032712
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.20.0-6.mga6
+ Revision: 939766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 746461
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 686069
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 514353
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 372177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.20.0-1.mga1
+ Revision: 28741
- mageia rebuild
- imported package perl-Quantum-Superpositions


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 542892
- import perl-Quantum-Superpositions


* Thu May 06 2010 cpan2dist 2.02-1mdv
- initial mdv release, generated with cpan2dist
